# Uses of Class
org.apache.sling.feature.scanner.Descriptor

Packages that use Descriptor
Package
Description
org.apache.sling.feature.scanner

## Uses of Descriptor in org.apache.sling.feature.scanner

Subclasses of Descriptor in org.apache.sling.feature.scanner
Modifier and Type
Class
Description
`class`
`ArtifactDescriptor`
Information about an artifact.
`class`
`BundleDescriptor`
Information about a bundle.
`class`
`ContainerDescriptor`
Information about a container (feature).
`class`
`ContentPackageDescriptor`
Information about a content package.
`class`
`FeatureDescriptor`
Information about a feature.
Methods in org.apache.sling.feature.scanner with parameters of type Descriptor
Modifier and Type
Method
Description
`protected void`
Descriptor.`aggregate(Descriptor d)`
Aggregate with data from provided descriptor